Subject: Re: bug#10493: coreutils shred fat32

From: Jim Meyering <[email-masked]>
Date: Fri, 13 Jan 2012 14:57:39 +0100

Leontiev Danil wrote:
> Thx for the answer.
>
> first start:
> [root@localhost usb]$ LANG=C shred -uvf /media/usb/test
> shred: /media/usb/test: pass 1/3 (random)...
> shred: /media/usb/test: pass 2/3 (random)...
> shred: /media/usb/test: error writing at offset 0: Invalid argument
>
> second start:
> [root@localhost usb]$ LANG=C shred -uvf /media/usb/test
> shred: /media/usb/test: pass 1/3 (random)...
> shred: /media/usb/test: pass 2/3 (random)...
> shred: /media/usb/test: pass 3/3 (random)...
> shred: /media/usb/test: removing
> shred: /media/usb/test: renamed to /media/usb/0000
> shred: /media/usb/0000: renamed to /media/usb/000
> shred: /media/usb/000: renamed to /media/usb/00
> shred: /media/usb/00: renamed to /media/usb/1
> shred: /media/usb/test: removed
>
>
> I did insert debugging information in a source, I can send, and this log.
>
> Obscure point is related to the variable "ssize", in which the first
> "run" to 4096. If you call the utility shred on device with a
> non-fat32 fs (i use ext2 i.e.), the value will -1.
>
> Sorry for my english.

Thanks for the report.
What version of shred are you using?
Run "shred --version" to see that.
It's 7.1 or greater, since that's when we switched the default
from 25 to 3 overwrites, but not much has changed in shred since then.

What type of system are you using?
I.e., what type/version kernel and C library?
For the kernel, run uname -a.

Please run this command and send us the resulting LOG file, too:

  strace -o LOG shred -uvf /media/usb/test